Bug 83797 - Problem printing PDF via CUPS from Mac OS X client
Problem printing PDF via CUPS from Mac OS X client
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: cups (Show other bugs)
8.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
http://travel.state.gov/DS-0019.pdf
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-02-08 16:55 EST by Matthew Wilkens
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-18 13:27:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
The original PDF (207.00 KB, application/pdf)
2003-02-15 09:51 EST, Matthew Wilkens
no flags Details
Output to raw queue (205.86 KB, application/pdf)
2003-02-15 09:53 EST, Matthew Wilkens
no flags Details

  None (edit)
Description Matthew Wilkens 2003-02-08 16:55:53 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.3b) Gecko/20030129

Description of problem:
See also bug 75694.

Using an Okidata Okipage 10e with the ljet4 driver.

As in the bug above, I'm having trouble printing from a Mac OS X client to a
print server running RH 8.0 with errata-updated cups 1.1.17-0.2.  Unlike the
previous bug, I do get some printing, but now the letter 'a'  (and perhaps
others) are missing from some output.  This doesn't happen all the time - it
seems mostly to affect PDF files produced through the Mac's printing routine.

The PDF file at the URL above is an example: if I download it to the linux
machine and print it using "lpr <filename>", it prints fine.  The same is true
if I do that from the Mac.  If, however, a user downloads and views it on the
Mac (using the Preview app), then prints it using Preview's print command, the
output at the printer contains no 'a's.  Other print output from the Mac - From
the text editor, or Word, say - is usually OK.  Perhaps there is a font issue here.

This sounds like and Apple bug, *but* it worked fine with CUPS 1.1.16 through
1.1.18 downloaded and built from cups.org - only with the Redhat version has
this been a problem.  Having installed the RH version of  1.1.17, however, I now
cannot fix the problem by re-upgrading to 1.1.18 from cups.org.



Version-Release number of selected component (if applicable):


How reproducible:
Sometimes

Steps to Reproduce:
1.Print a PDF file from the Preview app of a Mac OS X client using the setup
described above.
    

Actual Results:  Output is missing all instances of the letter 'a'.

Additional info:

Everything looks OK in /var/log/cups/error_log.
Comment 1 Tim Waugh 2003-02-14 12:04:59 EST
Please make a raw print queue on the Linux machine, and set it to have a custom
device '/tmp/lp0' (and make that file group-lp writable).  Then print to that
queue from the Preview app and attach it.

Then we can see what's actually getting submitted.  Thanks.
Comment 2 Matthew Wilkens 2003-02-15 09:51:23 EST
Created attachment 90104 [details]
The original PDF

Attaching original PDF from http://state.gov.  This file prints fine if it's
sent to the printer directly.
Comment 3 Matthew Wilkens 2003-02-15 09:53:42 EST
Created attachment 90105 [details]
Output to raw queue

This is the PDF file produced by Apple's preview.app and sent to the print
queue, as captured by a raw queue on /tmp/lp0.
Comment 4 Matthew Wilkens 2003-02-15 09:55:24 EST
Thanks very much for taking a look at this.  Please do let me know if I can
provide any additional information or help out in any other way.
Comment 5 Bill Nottingham 2006-08-07 16:04:29 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Red Hat apologizes that these issues have not been resolved yet. We do
want to make sure that no important bugs slip through the cracks.
Please check if this issue is still present in a current Fedora Core
release. If so, please change the product and version to match, and
check the box indicating that the requested information has been
provided. Note that any bug still open against Red Hat Linux on will be
closed as 'CANTFIX' on September 30, 2006. Thanks again for your help.
Comment 6 Bill Nottingham 2006-10-18 13:27:45 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.